<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/cspi.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/cspi.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * CSPI definitions.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef SDIOEMB_CSPI_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define SDIOEMB_CSPI_H</span>
00011 <span class="preprocessor"></span>
00016 <span class="preprocessor">#define CSPI_FUNC(f) (f)</span>
00017 <span class="preprocessor"></span><span class="preprocessor">#define CSPI_READ    0x10</span>
00018 <span class="preprocessor"></span><span class="preprocessor">#define CSPI_WRITE   0x20</span>
00019 <span class="preprocessor"></span><span class="preprocessor">#define CSPI_BURST   0x40</span>
00020 <span class="preprocessor"></span><span class="preprocessor">#define CSPI_TYPE_MASK 0x70</span>
00021 <span class="preprocessor"></span>
<a name="l00029"></a><a class="code" href="group__sdriver.html#ga15">00029</a> <span class="preprocessor">#define CSPI_MODE 0xf7</span>
00030 <span class="preprocessor"></span><span class="preprocessor">#  define CSPI_MODE_PADDED_WRITE_HDRS      (1 &lt;&lt; 7)</span>
00031 <span class="preprocessor"></span><span class="preprocessor">#  define CSPI_MODE_PADDED_READ_HDRS       (1 &lt;&lt; 6)</span>
00032 <span class="preprocessor"></span>
<a name="l00040"></a><a class="code" href="group__sdriver.html#ga18">00040</a> <span class="preprocessor">#  define CSPI_MODE_BE_REG                 (1 &lt;&lt; 5)</span>
00041 <span class="preprocessor"></span><span class="preprocessor">#  define CSPI_MODE_BE_BURST               (1 &lt;&lt; 4)</span>
00042 <span class="preprocessor"></span><span class="preprocessor">#  define CSPI_MODE_INT_ACTIVE_HIGH        (1 &lt;&lt; 3)</span>
00043 <span class="preprocessor"></span><span class="preprocessor">#  define CSPI_MODE_INT_ON_ERR             (1 &lt;&lt; 2)</span>
00044 <span class="preprocessor"></span><span class="preprocessor">#  define CSPI_MODE_LEN_FIELD_PRESENT      (1 &lt;&lt; 1)</span>
00045 <span class="preprocessor"></span><span class="preprocessor">#  define CSPI_MODE_DRV_MISO_ON_RISING_CLK (1 &lt;&lt; 0)</span>
00046 <span class="preprocessor"></span>
00047 <span class="preprocessor">#define CSPI_STATUS 0xf8</span>
00048 <span class="preprocessor"></span>
00049 <span class="preprocessor">#define CSPI_PADDING 0xf9</span>
00050 <span class="preprocessor"></span><span class="preprocessor">#  define CSPI_PADDING_REG(p)   ((p) &lt;&lt; 0)</span>
00051 <span class="preprocessor"></span><span class="preprocessor">#  define CSPI_PADDING_BURST(p) ((p) &lt;&lt; 4)</span>
00052 <span class="preprocessor"></span>
00053 <span class="preprocessor">#define CSPI_PADDING_MAX       15</span>
00054 <span class="preprocessor"></span><span class="preprocessor">#define CSPI_PADDING_REG_DFLT   0</span>
00055 <span class="preprocessor"></span><span class="preprocessor">#define CSPI_PADDING_BURST_DFLT 2</span>
00056 <span class="preprocessor"></span>
00057 <span class="comment">/* cmd byte, 3 byte addr, padding, error byte, data word */</span>
00058 <span class="preprocessor">#define CSPI_REG_TRANSFER_LEN (1 + 3 + CSPI_PADDING_MAX + 1 + 2)</span>
00059 <span class="preprocessor"></span>
00062 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef SDIOEMB_CSPI_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
